Bug 1205629 - (CVE-2022-36227) VUL-0: CVE-2022-36227: libarchive,bsdtar: potential NULL pointer dereference in __archive_write_allocate_filter()
(CVE-2022-36227)
VUL-0: CVE-2022-36227: libarchive,bsdtar: potential NULL pointer dereference ...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/348558/
CVSSv3.1:SUSE:CVE-2022-36227:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-22 09:19 UTC by Carlos López
Modified: 2022-11-29 20:40 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-11-22 09:19:49 UTC
CVE-2022-36227

In libarchive 3.6.1, the software does not check for an error after calling
calloc function that can return with a NULL pointer if the function fails, which
leads to a resultant NULL pointer dereference or, in some cases, even arbitrary
code execution.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-36227
https://www.cve.org/CVERecord?id=CVE-2022-36227
https://github.com/libarchive/libarchive/issues/1754
Comment 1 Carlos López 2022-11-22 09:21:54 UTC
Affected:
- SUSE:SLE-12:Update/libarchive
- SUSE:SLE-12-SP4:Update/libarchive
- SUSE:SLE-15:Update/libarchive
- SUSE:SLE-15-SP2:Update/libarchive
- SUSE:SLE-15-SP4:Update/libarchive
Comment 5 Swamp Workflow Management 2022-11-23 20:20:00 UTC
SUSE-SU-2022:4209-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1205629
CVE References: CVE-2022-36227
JIRA References: 
Sources used:
openSUSE Leap Micro 5.3 (src):    libarchive-3.5.1-150400.3.12.1
openSUSE Leap 15.4 (src):    libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Development Tools 15-SP4 (src):    libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    libarchive-3.5.1-150400.3.12.1
SUSE Linux Enterprise Micro 5.3 (src):    libarchive-3.5.1-150400.3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-11-23 20:25:41 UTC
SUSE-SU-2022:4202-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1205629
CVE References: CVE-2022-36227
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    libarchive-3.4.2-150200.4.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    libarchive-3.4.2-150200.4.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libarchive-3.4.2-150200.4.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-11-29 20:40:28 UTC
SUSE-SU-2022:4296-1: An update that fixes one vulnerability is now available.

Category: security (low)
Bug References: 1205629
CVE References: CVE-2022-36227
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libarchive-3.3.3-32.8.1
SUSE Linux Enterprise Server 12-SP5 (src):    libarchive-3.3.3-32.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.